## xsconsole 0.9.0

=== Makefile ===
################################################################################
# Makefile for xsconsole
# Copyright (c) Citrix Systems 2007

PREFIX=$(DESTDIR)/usr
LIBDIR=$(DESTDIR)/usr/lib64/

INSTALL=/usr/bin/install

BIN_MODE := 755
LIB_MODE := 644
DOC_MODE := 644


################################################################################
# List of python scripts:
SCRIPTS :=
SCRIPTS += XSConsole.py
SCRIPTS += XSConsoleAuth.py
SCRIPTS += XSConsoleBases.py
SCRIPTS += XSConsoleConfig.py
SCRIPTS += XSConsoleCurses.py
SCRIPTS += XSConsoleData.py
SCRIPTS += XSConsoleDataUtils.py
SCRIPTS += XSConsoleDialogueBases.py
SCRIPTS += XSConsoleDialoguePane.py
SCRIPTS += XSConsoleFields.py
SCRIPTS += XSConsoleHotData.py
SCRIPTS += XSConsoleImporter.py
SCRIPTS += XSConsoleKeymaps.py
SCRIPTS += XSConsoleLang.py
SCRIPTS += XSConsoleLangErrors.py
SCRIPTS += XSConsoleLangFriendlyNames.py
SCRIPTS += XSConsoleLog.py
SCRIPTS += XSConsoleLayout.py
SCRIPTS += XSConsoleMenus.py
SCRIPTS += XSConsoleMetrics.py
SCRIPTS += XSConsoleRemoteTest.py
SCRIPTS += XSConsoleRootDialogue.py
SCRIPTS += XSConsoleStandard.py
SCRIPTS += XSConsoleState.py
SCRIPTS += XSConsoleTask.py
SCRIPTS += XSConsoleTerm.py
SCRIPTS += XSConsoleUtils.py
SCRIPTS += simpleconfig.py

PLUGINS_BASE :=
PLUGINS_BASE += XSFeatureChangePassword.py
PLUGINS_BASE += XSFeatureChangeTimeout.py
PLUGINS_BASE += XSFeatureCrashDumpSR.py
PLUGINS_BASE += XSFeatureDRBackup.py
PLUGINS_BASE += XSFeatureDRRestore.py
PLUGINS_BASE += XSFeatureDRSchedule.py
PLUGINS_BASE += XSFeatureDNS.py
PLUGINS_BASE += XSFeatureDisplayNICs.py
PLUGINS_BASE += XSFeatureEULA.py
PLUGINS_BASE += XSFeatureHostCommon.py
PLUGINS_BASE += XSFeatureHostEvacuate.py
PLUGINS_BASE += XSFeatureHostInfo.py
PLUGINS_BASE += XSFeatureInterface.py
PLUGINS_BASE += XSFeatureKeyboard.py
PLUGINS_BASE += XSFeatureLocalShell.py
PLUGINS_BASE += XSFeatureLogInOut.py
PLUGINS_BASE += XSFeatureNetworkReset.py
PLUGINS_BASE += XSFeatureNTP.py
PLUGINS_BASE += XSFeatureQuit.py
PLUGINS_BASE += XSFeaturePoolEject.py
PLUGINS_BASE += XSFeaturePoolJoin.py
PLUGINS_BASE += XSFeaturePoolNewMaster.py
PLUGINS_BASE += XSFeatureReboot.py
PLUGINS_BASE += XSFeatureRemoteShell.py
PLUGINS_BASE += XSFeatureSRCommon.py
PLUGINS_BASE += XSFeatureSRCreate.py
PLUGINS_BASE += XSFeatureSRInfo.py
PLUGINS_BASE += XSFeatureSaveBugReport.py
PLUGINS_BASE += XSFeatureShutdown.py
PLUGINS_BASE += XSFeatureStatus.py
PLUGINS_BASE += XSFeatureSuspendSR.py
PLUGINS_BASE += XSFeatureSyslog.py
PLUGINS_BASE += XSFeatureSystem.py
PLUGINS_BASE += XSFeatureTestNetwork.py
PLUGINS_BASE += XSFeatureTimezone.py
PLUGINS_BASE += XSFeatureUploadBugReport.py
PLUGINS_BASE += XSFeatureValidate.py
PLUGINS_BASE += XSFeatureVMCommon.py
PLUGINS_BASE += XSFeatureVMInfo.py
PLUGINS_BASE += XSMenuLayout.py

PLUGINS_OEM :=
PLUGINS_OEM += XSFeatureClaimSR.py
PLUGINS_OEM += XSFeatureManagementHelp.py
PLUGINS_OEM += XSFeatureOEMBackup.py
PLUGINS_OEM += XSFeatureOEMRestore.py
PLUGINS_OEM += XSFeatureReset.py
PLUGINS_OEM += XSFeatureUpdate.py
PLUGINS_OEM += XSFeatureVerboseBoot.py
PLUGINS_OEM += XSMenuOEMLayout.py

PLUGINS_EXTRAS :=

ALL_SCRIPTS := $(SCRIPTS)
ALL_SCRIPTS += $(addprefix plugins-base/, $(PLUGINS_BASE))
ALL_SCRIPTS += $(addprefix plugins-oem/, $(PLUGINS_OEM))
ALL_SCRIPTS += $(addprefix plugins-extras/, $(PLUGINS_EXTRAS))

################################################################################
# Executable:
COMMAND := xsconsole

################################################################################
# Documents

#DOCUMENTS :=
#DOCUMENTS += LICENSE

################################################################################
install-base:
	mkdir -p $(LIBDIR)/xsconsole/
	mkdir -p $(LIBDIR)/xsconsole/plugins-base
	mkdir -p $(LIBDIR)/xsconsole/plugins-extras

	$(foreach script,$(SCRIPTS),\
          $(INSTALL) -m $(LIB_MODE) $(script) $(LIBDIR)/xsconsole;)

	$(foreach script,$(PLUGINS_BASE),\
          $(INSTALL) -m $(LIB_MODE) plugins-base/$(script) $(LIBDIR)/xsconsole/plugins-base;)

	$(foreach script,$(PLUGINS_EXTRAS),\
          $(INSTALL) -m $(LIB_MODE) plugins-extras/$(script) $(LIBDIR)/xsconsole/plugins-extras;)

	$(INSTALL) -m $(BIN_MODE) $(COMMAND) $(PREFIX)/bin

#	$(foreach docfile,$(DOCUMENTS),\
#          $(INSTALL) -m $(DOC_MODE) $(docfile) $(DOCDIR);)

install-oem:
	mkdir -p $(LIBDIR)/xsconsole/plugins-oem

	$(foreach script,$(PLUGINS_OEM),\
          $(INSTALL) -m $(LIB_MODE) plugins-oem/$(script) $(LIBDIR)/xsconsole/plugins-oem;)

clean:

depend:

all:

# Convenience targets for pylint output
pylint.html: pylint.rc $(ALL_SCRIPTS)
	pylint --rcfile pylint.rc --output-format html $(ALL_SCRIPTS) > $@

pylint.txt: pylint.rc $(ALL_SCRIPTS)
	if [ -f $@ ]; then mv $@ $@.tmp; fi
	pylint --rcfile pylint.rc --output-format text $(ALL_SCRIPTS) > $@
	# Show new/different warnings in stdout
	if [ -f $@.tmp ]; then diff $@.tmp $@ | grep -E '^[<>]\s*[CRWE]' | cat ; fi
	rm -f $@.tmp

=== mk/Makefile ===
USE_BRANDING := yes
IMPORT_BRANDING := yes
# makefile for xen component in build system
include $(B_BASE)/common.mk
include $(B_BASE)/rpmbuild.mk

REPO_NAME= xsconsole
RPM_BUILD_COOKIE= $(MY_OBJ_DIR)/.rpm_build_cookie

-include $(MY_OBJ_DIR)/version.inc
$(MY_OBJ_DIR)/version.inc:
	rm -f $(MY_OBJ_DIR)/version.inc
	$(call version-makefile) >> $@
	awk -F. '{ print "REPO_VERSION=" $$0; }' \
		< $(call hg_req,xsconsole) >> $@
	$(call hg_cset_number,xsconsole) >> $@

XS_VERSION := $(PRODUCT_VERSION)
XS_RELEASE := $(CSET_NUMBER)

CHANGELOG_DATE    := $(shell LANG=C date +"%a %b %d %Y")
CHANGELOG_USER    := $(COMPANY_NAME) <$(COMPANY_WEBSITE)>
CHANGELOG_HEADER  := * $(CHANGELOG_DATE) $(CHANGELOG_USER) [$(XS_VERSION)-$(XS_RELEASE)]
CHANGELOG_MESSAGE := - Build $(BRAND_SERVER) Configuration Console.

# File selection criteria for base and OEM packages
HG_FILTERS_BASE := -I Makefile -I xsconsole -I LICENSE -I '*.py' -I 'plugins-base/*py'
HG_FILTERS_OEM := -I Makefile -I LICENSE -I 'plugins-oem/*py'

.PHONY: build
build: $(RPM_BUILD_COOKIE) $(MY_SOURCES)/MANIFEST
	@ :

.PHONY: clean
clean: 
	rm -f $(RPM_BUILD_COOKIE)
	rm -f $(MY_OBJ_DIR)/version.inc

SOURCES = $(RPM_SOURCESDIR)/xsconsole-$(XS_VERSION).tar.bz2 \
          $(RPM_SOURCESDIR)/xsconsole-plugins-oem-$(XS_VERSION).tar.bz2 \
          $(RPM_SPECSDIR)/xsconsole.spec \
          $(RPM_SPECSDIR)/xsconsole-plugins-oem.spec

$(RPM_SOURCESDIR)/xsconsole-$(XS_VERSION).tar.bz2: $(RPM_SOURCESDIR)/.dirstamp $(call hg_loc,xsconsole)
# Filters don't work when using hg -R so cd to the directory in a subshell instead
	(cd $(call hg_loc,xsconsole) && hg archive $(HG_FILTERS_BASE) -t tbz2 $@)

$(RPM_SOURCESDIR)/xsconsole-plugins-oem-$(XS_VERSION).tar.bz2: $(RPM_SOURCESDIR)/.dirstamp $(call hg_loc,xsconsole)
# Filters don't work when using hg -R so cd to the directory in a subshell instead
	(cd $(call hg_loc,xsconsole) && hg archive $(HG_FILTERS_OEM) -t tbz2 $@)

$(RPM_SPECSDIR)/xsconsole.spec: xsconsole.spec.in $(RPM_SPECSDIR)/.dirstamp
# Use a temporary file because sed in rhel3 doesn't understand "\n"
	echo "$(CHANGELOG_HEADER)" > changelog.tmp
	echo "$(CHANGELOG_MESSAGE)" >> changelog.tmp
	echo "" >> changelog.tmp
	sed -e s\,@REPO_VERSION@,$(REPO_VERSION),g \
	    -e s\,@XS_VERSION@,$(XS_VERSION),g     \
	    -e s\,@XS_RELEASE@,$(XS_RELEASE),g     \
	    -e \\,%changelog,rchangelog.tmp        \
	    < $<                         \
	    > $@
	-rm changelog.tmp

$(RPM_SPECSDIR)/xsconsole-plugins-oem.spec: xsconsole-plugins-oem.spec.in $(RPM_SPECSDIR)/.dirstamp
# Use a temporary file because sed in rhel3 doesn't understand "\n"
	echo "$(CHANGELOG_HEADER)" > changelog-oem.tmp
	echo "$(CHANGELOG_MESSAGE)" >> changelog-oem.tmp
	echo "" >> changelog-oem.tmp
	sed -e s\,@REPO_VERSION@,$(REPO_VERSION),g \
	    -e s\,@XS_VERSION@,$(XS_VERSION),g     \
	    -e s\,@XS_RELEASE@,$(XS_RELEASE),g     \
	    -e \\,%changelog,rchangelog-oem.tmp        \
	    < $<                         \
	    > $@
	-rm changelog-oem.tmp

$(RPM_BUILD_COOKIE): $(RPM_DIRECTORIES) $(SOURCES)
	$(RPMBUILD) --target noarch -ba $(RPM_SPECSDIR)/xsconsole.spec
	$(RPMBUILD) --target noarch -ba $(RPM_SPECSDIR)/xsconsole-plugins-oem.spec
	@touch $@

$(MY_SOURCES)/MANIFEST: $(MY_SOURCES_DIRSTAMP)
	echo "xsconsole GPL file $(MY_OUTPUT_DIR)/SRPMS/xsconsole-$(XS_VERSION)-$(XS_RELEASE).src.rpm" >$@
	echo "xsconsole-plugins-oem GPL file $(MY_OUTPUT_DIR)/SRPMS/xsconsole-plugins-oem-$(XS_VERSION)-$(XS_RELEASE).src.rpm" >>$@

.PHONY: sources
sources: $(MY_SOURCES)/MANIFEST
	@ :

=== debian/changelog ===
xsconsole (0.9.0-2) UNRELEASED; urgency=low

  * Use '_libdir' macro rather than hard coding library installation path

 -- Euan Harris <euan.harris@citrix.com>  Mon, 16 Sep 2013 12:00:00 +0000

xsconsole (0.9.0-1) UNRELEASED; urgency=low

  * Initial package

 -- James Bulpin <James.Bulpin@citrix.com>  Fri, 05 Jul 2013 12:00:00 +0000

=== debian/control ===
Source: xsconsole
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 python,
 debhelper (>= 8),
 ocaml-nox,
 dh-ocaml (>= 0.9)

Package: xsconsole
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 python-pam,
 xapi-python-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: XenServer Host Configuration Console
 Console tool for configuring a XenServer installation.
